package nl.nikhef.rebus.ftdi;



import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

import com.ftdi.FTDevice;

import nl.nikhef.rebus.dev.PCA9848;

public class I2CTests {

	public static FTDevice findFTDevice() throws IOException {
		return FTDevice.getDevices().get(0);
	}
	
	public static void main(String[] args) throws IOException {
		
		MPSSE mpsse = new JavaFTD2xxMPSSE(findFTDevice());
		try {
			Logger.getLogger(FTDevice.class.getName()).setLevel(Level.OFF);
			
			// MPSSE mpsse = new Ftd2xxjMPSSE(findDevice());
			
			
			I2C i2c = new I2C(mpsse, I2C.SPEED_SLOW, false);
			
			
			// set mux to 0
			PCA9848 mux = new PCA9848(i2c, PCA9848.ADDRESS_HHH);
			mux.setSingle(0);
			
		
			// going to try to retrieve the VENDOR NAME
			i2c.write(0x50, new byte[] { 20 });
			byte[] b = i2c.read(0x50, 2);
			
			System.out.printf("Vendor: %s\n", new String(b));
			
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			mpsse.close();
		}
		
	}
}
